#!/bin/bash

USER_NAME="${SUDO_USER:-$USER}"

# GET SUDO privilege (Change sudo to gksu or gksudo if you prefer a graphical prompt)
echo "***********************************************"
echo "*             SkethPad VST Setup              *"
echo "***********************************************"
echo
echo "This installer requires root privileges..."
[ "$UID" -eq 0 ] || exec sudo bash "$0" "$@"


VST3_NAME="sketchpad.vst3"
USER_HOME=$(getent passwd $SUDO_USER | cut -d: -f6)
PDF="SketchPad.pdf"

#REMOVE OLD STUFF
if [ -d "${USER_HOME}/.vst3/${VST3_NAME}" ]; then 
    echo "Uninstalling previous version..."
    rm -r "${USER_HOME}/.vst3/${VST3_NAME}"
fi

if test -f "${USER_HOME}/.AudioFront/${PDF}"; then
    rm "${USER_HOME}/.AudioFront/${PDF}"
fi

cp "./${PDF}" "${USER_HOME}/.AudioFront/"
chmod 777 "${USER_HOME}/.AudioFront/${PDF}"
chown ${USER_NAME} "${USER_HOME}/.AudioFront/${PDF}"

cp -r "./bin/${VST3_NAME}" "${USER_HOME}/.vst3/${VST3_NAME}"
chmod -R 755 "${USER_HOME}/.vst3/${VST3_NAME}"
chown -R ${USER_NAME} "${USER_HOME}/.vst3/${VST3_NAME}"

echo "SketchPad has been installed to ${USER_HOME}/.vst3/${VST3_NAME}"

echo "Installation complete."

